{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                  "minecraft:item_name": {
                    "translate": "item.overlyrealistic.sharpened_stick",
                    "fallback": "Sharpened Stick",
                    "color": "white"
                  },
                  "rarity": "common",
                  "minecraft:attribute_modifiers": [
                    {
                      "type": "minecraft:attack_damage",
                      "id": "minecraft:base_attack_damage",
                      "amount": 2,
                      "operation": "add_value",
                      "slot": "mainhand"
                    }
                  ],
                  "max_damage": 35,
                  "weapon": {
                    "item_damage_per_attack": 1
                  },
                  "damage": 0,
                  "max_stack_size": 1,
                  "custom_data": {
                    "IsSharpenedStick": true,
                    "or_edited_item": true,
                    "or_is_tool": true,
                    "or_can_cause_bleeding": true
                  },
                  "!food": {},
                  "!consumable": {},
                  "item_model": "overlyrealistic:items/sharpened_stick"
                }
            }
          ]
        }
      ]
    }
  ]
}